Subject: Re: bug#30907: mv return value.

From: Paul Eggert <[email-masked]>
Date: Thu, 22 Mar 2018 14:53:51 -0700

On 03/22/2018 12:17 PM, Jorgen Harmse wrote:
> My preference is a non-zero exit status when mv does not move/rename the file.

Hmm, this might be doable. POSIX says that the mv exit status is 0 if 
"All input files were moved successfully" and is >0 if "An error 
occurred". With mv -i, if the user declines a move and there is other 
file then neither case applies, so mv can yield either 0 or nonzero as 
an exit status. Of course someone would have to write the code and (more 
importantly) the documentation to do it that way, but I think your 
request is a reasonable one.